Skip to content

/ai/proposals/{id}/apply

POST
/ai/proposals/{id}/apply
curl --request POST \
--url https://example.com/api/v1/ai/proposals/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/apply \
--header 'Authorization: Bearer <token>'
id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/

Default Response

Media typeapplication/json
object
id
required
string
conversationId
required
string
tool
required
string
Allowed values: listDomains getDeliveryLog explainBounce checkDns getReputation getAlerts getLicenseState getMailbox getQueue proposeRestoreSending proposeRotateDkimKey proposeResolveAlert
title
required
string
summary
required
string
targetKind
required
string
Allowed values: mailbox domain alert
targetId
required
string
targetLabel
required
string
change
required
object
key
additional properties
precondition
required
object
key
additional properties
state
required
string
Allowed values: pending applied rejected expired failed
expiresAt
required
string
appliedAt
required
Any of:
string
detail
required
Any of:
string
createdAt
required
string
Example
{
"tool": "listDomains",
"targetKind": "mailbox",
"state": "pending"
}